GWT 2.7.0

## com.google.gwt.event.dom.client
Class HumanInputEvent<H extends EventHandler>

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.google.gwt.event.dom.client.DomEvent<H>
                  com.google.gwt.event.dom.client.HumanInputEvent<H>

Type Parameters:
  `H` - handler type

All Implemented Interfaces:
  HasNativeEvent

Direct Known Subclasses:
  MouseEvent, TouchEvent

    public abstract class HumanInputEvent<H extends EventHandler>

extends DomEvent<H>

Abstract class representing position events such as mouse or touch events.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`HumanInputEvent()`

Method Summary
`boolean` | `isAltKeyDown()` Is `alt` key down.
`boolean` | `isControlKeyDown()` Is `control` key down.
`boolean` | `isMetaKeyDown()` Is `meta` key down.
`boolean` | `isShiftKeyDown()` Is `shift` key down.

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getAssociatedType, getNativeEvent, getRelativeElement, init, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, dispatch, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HumanInputEvent

    public HumanInputEvent()

Method Detail

### isAltKeyDown

    public boolean isAltKeyDown()

  Is `alt` key down.

  Returns:
    whether the alt key is down

### isControlKeyDown

    public boolean isControlKeyDown()

  Is `control` key down.

  Returns:
    whether the control key is down

### isMetaKeyDown

    public boolean isMetaKeyDown()

  Is `meta` key down.

  Returns:
    whether the meta key is down

### isShiftKeyDown

    public boolean isShiftKeyDown()

  Is `shift` key down.

  Returns:
    whether the shift key is down

GWT 2.7.0